Did I find the right examples for you? yes no      Crawl my project      Python Jobs

All Samples(8)  |  Call(8)  |  Derive(0)  |  Import(0)

src/h/o/Honeybee-HEAD/src/Honeybee_SplitBuildingMass.py   Honeybee(Download)
 
            #Join the walls together to make zones.
            joinedWalls = rc.Geometry.Brep.JoinBreps(coreZoneWalls, tolerance)[0]
            coreZone = joinedWalls.CapPlanarHoles(tolerance)
 
            perimZones = []
            for wallCount, wall in enumerate(perimZoneWalls):
                brepList = [wall, perimZoneWalls[wallCount-1], exteriorWalls[wallCount-1], coreZoneWalls[wallCount-1]]
                joinedWalls = rc.Geometry.Brep.JoinBreps(brepList, tolerance)[0]

src/r/h/rhinopython-HEAD/scripts/rhinoscript/surface.py   rhinopython(Download)
    if len(breps)<2: return scriptcontext.errorhandler()
    tol = scriptcontext.doc.ModelAbsoluteTolerance * 2.1
    joinedbreps = Rhino.Geometry.Brep.JoinBreps(breps, tol)
    if joinedbreps is None or len(joinedbreps)!=1:
        return scriptcontext.errorhandler()

src/h/o/Honeybee-HEAD/src/Honeybee_Honeybee.py   Honeybee(Download)
            if srf.hasChild: srf.calculatePunchedSurface()
        try:
            self.geometry = rc.Geometry.Brep.JoinBreps(srfs, sc.doc.ModelAbsoluteTolerance)[0]
            self.isClosed = self.geometry.IsSolid
            if self.isClosed:
 
        # join surfaces
        joinedBrep = rc.Geometry.Brep.JoinBreps(srfsToBeMeshed, sc.doc.ModelAbsoluteTolerance)[0]
 
        # mesh the geometry
                        childGeometries.append(childObject.geometry.Duplicate())
                    # join geometries into a single surface
                    geometry = rc.Geometry.Brep.JoinBreps([geometry] + childGeometries, sc.doc.ModelAbsoluteTolerance)[0]
 
                elif HBObject.objectType == "HBZone":
 
                    if zoneHasChildSrf:
                        geometry = rc.Geometry.Brep.JoinBreps(srfs, sc.doc.ModelAbsoluteTolerance)[0]
 
                else:

src/l/a/ladybug-HEAD/src/ladybug_ladybug.py   ladybug(Download)
                            try: rs.DeleteObject(surface)
                            except: pass
                    geo = rc.Geometry.Brep.JoinBreps(tempBrep, sc.doc.ModelAbsoluteTolerance)
                    for Brep in tempBrep:
                        Brep.Dispose()